@import 'variable';

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  min-width: 320px;
  font-family: $mainFont;
}

body, html {
  height: 100%;
}

.wrapper {
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

.main {
  flex: 1;
}

.icon {
  display: inline-block;
}

button {
  cursor: pointer;
}

textarea,
input,
button {
  &:focus {
    outline: none;
    box-shadow: none;
  }
}

.container {
  max-width: 1140px;
  padding: 0 20px;
  margin: 0 auto;
}

ul {
  list-style: none;
}

.visually-hidden {
  position: absolute;
  clip: rect(0 0 0 0);
  width: 1px;
  height: 1px;
  margin: -1px;
}

.section-main,
.header {
  background: #F5F6F7;
}

.button {
  background: #00CCCC;
  border: 1px solid #00CCCC;
  box-shadow: 0 3px 18px rgba(0, 201, 201, 0.55);
  border-radius: 14px;
  padding: 20px;
  font: 700 18px/22px $mainFont;
  color: #0F2336;
  display: inline-block;
}

.section-slide-image-container,
.section-slide-text {
  flex: 1;
}

.section-slider {
  margin-bottom: 150px;
}

.section-slider-extra-margin {
  margin-bottom: 195px;
}

.slide {
  background: #F4F5F6;
  border-radius: 50px;
  display: flex;

  &:not(.active) {
    display: none;
  }
}

.section-slide-subtitle {
  font: 400 18px/18px $mainFont;
  color: #576D81;
  margin-bottom: 20px;
}

.section-slide-title {
  font: 900 40px/55px $mainFont;
  color: #0F2336;
  margin-bottom: 25px;
}

.section-slide-description {
  font: 400 16px/24px $mainFont;
  color: #576D81;
  margin-bottom: 20px;
  max-width: 414px;
}

.title {
  font: 700 25px/32px $mainFont;
  letter-spacing: 0.2px;
  color: #0F2336;
}

.description {
  font: 400 16px/24px $mainFont;
  color: #576D81;
}

.section-slide-image-container {
  margin: -50px;
}

.img-fluid {
  max-width: 100%;
  height: auto;
}

.section-slider-image-left {
  .section-slide-image-container {
    margin-left: 7px;
  }

  .section-slide-text {
    margin-top: 115px;
  }
}

.section-slider-image-right {
  .section-slide-image-container {
    margin-right: -20px;
  }

  .section-slide-text {
    margin-left: 120px;
    margin-top: 125px;
  }
}

.section-slide-title-newline,
.section-main-title-newline,
.section-contact-title-newline {
  display: block;
}

.input {
  background: #F0F0F2;
  border: 1px solid #F0F0F2;
  border-radius: 6px;
  font: 700 18px/22px $mainFont;
  padding: 10px 5px;

  &:focus {
    border-color: blue;
  }
}

.legend {
  font: 700 24px/1.5 $mainFont;
  margin-left: 15px;
}

.fieldset {
  border: 3px solid #000;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 20px;
  padding: 10px 30px 30px;
  margin-bottom: 30px;
}

.input-password-label {
  flex: 1;
  display: flex;
  align-items: center;
}

.input-password {
  flex: 1;
}

.input-label-text {
  margin-right: 10px;
}

.button-submit {
  position: relative;
  padding-right: 70px;
  margin-right: 15px;

  &:hover {
    .button-submit-arrow {
      right: 20px;
      transition: $transitionDuration;
    }
  }
}

.button-submit-arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 30px;
}

.button-reset {
  background: transparent;
  box-shadow: none;
  transition: $transitionDuration;

  &:hover {
    box-shadow: 0 3px 18px rgba(0, 201, 201, 0.55);
  }
}

.section-form {
  margin-bottom: 48px;
}

::selection {
  color: white;
  background-color: #0cc;
}

:checked {
  & + .checked {
    color: #0cc;
  }

  &:focus + .checked {
    color: blue;
  }

  & + .checked-strike {
    text-decoration-line: line-through;
  }
}

label {
  &:focus-within {
    color: blue;
  }
}

.button-reset {
  &:disabled {
    color: #ccc;
    border-color: #ccc;

    &:hover {
      box-shadow: none;
      border-color: #ccc;
    }
  }
}

:required {
  border-color: #800000;
  border-width: 3px;
}

dt {
  &:first-letter {
    color: #0cc;
    font-size: 150%;
  }
}

dd {
  &:before {
    content: '🛈';
  }
}

.form {
  margin-bottom: 30px;
}

dl {
  margin-bottom: 20px;
}

.icon-arrow-right {
  width: 28px;
  height: 17px;
  stroke-width: 2.481;
  stroke: #173753;
}

.section-form-title {
  font: 700 50px/75px $mainFont;
  letter-spacing: 1.11px;
  margin-bottom: 15px;
}

.pseudo-element-label {
  &:nth-of-type(2n) {
    color: maroon;
  }

  &:nth-of-type(2n + 1) {
    color: coral;
  }

  &:focus-within {
    color: blue;
  }
}

input {
  &[type="checkbox"],
  &[type="radio"] {
    cursor: pointer;
  }
}

.lds-dual-ring {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: inline-block;
  width: 76px;
  height: 76px;
  opacity: 1;
  transition: $transitionDuration;
  z-index: 0;

  &:after {
    content: '';
    display: block;
    width: 64px;
    height: 64px;
    border-radius: 50%;
    border-width: 6px;
    border-style: solid;
    border-color: #000 transparent #000 transparent;
    animation: lds-dual-ring 1.2s linear infinite;
    animation-iteration-count: 3;
  }
}

@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.feature-content {
  z-index: 1;
}

.feature-invisible {
  .feature-content {
    opacity: 0;
  }
}

.feature-visible {
  .lds-dual-ring {
    opacity: 0;
  }

  .feature-content {
    opacity: 1;
  }
}
